CREATE DATABASE smsstore;
USE smsstore;

CREATE TABLE schema (
client_app VARCHAR(20) PRIMARY KEY,
schema_version INT UNSIGNED
);

INSERT INTO schema VALUES ("sms_serv", 4);

CREATE TABLE inbox (
id INT UNSIGNED PRIMARY KEY AUTO_INCREMENT,
stored TIMESTAMP,
device VARCHAR(10),
fromgsm VARCHAR(80),
msgdate VARCHAR(9),
msgtime VARCHAR(10),
msgtext TEXT
);

CREATE TABLE outbox (
id INT UNSIGNED PRIMARY KEY AUTO_INCREMENT,
stored TIMESTAMP,
smsc VARCHAR(80) NOT NULL DEFAULT "default",
togsm VARCHAR(80) NOT NULL,
userid VARCHAR(12) NOT NULL,
mode VARCHAR(3) NOT NULL DEFAULT "-1",
flash VARCHAR(1),
status INT UNSIGNED NOT NULL DEFAULT 0,
qruns INT UNSIGNED NOT NULL DEFAULT 0,
priority INT UNSIGNED NOT NULL DEFAULT 3,
sent DATETIME,
msgtext TEXT,
pdu TEXT
);

